summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heiko Rosemann2013-10-29 12:08:50 +0100
committer Robby Workman2013-10-30 02:12:27 +0100
commitb6dcaee8a97bc4318b83a8661d3c8890e56ee75e (patch)
tree4326ab3880d35ba8ca21dc3c6de330545b4d06dc
parent911a71704a3dd5c953c1a0098090adbb3cc6a701 (diff)
downloadslackbuilds-b6dcaee8a97bc4318b83a8661d3c8890e56ee75e.tar.gz
libraries/libxdg-basedir: Added (XDG Base Directory implementation).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/libxdg-basedir/README9
-rw-r--r--development/libxdg-basedir/libxdg-basedir.SlackBuild102
-rw-r--r--development/libxdg-basedir/libxdg-basedir.info10
-rw-r--r--development/libxdg-basedir/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/development/libxdg-basedir/README b/development/libxdg-basedir/README
new file mode 100644
index 0000000000..779e88ba69
--- /dev/null
+++ b/development/libxdg-basedir/README
@@ -0,0 +1,9 @@
+libxdg-basedir An implementation of the XDG Base Directory specs
+
+The XDG Base Directory Specification defines where should user files
+be looked for by defining one or more base directories relative in
+with they should be located.
+
+This library implements functions to list the directories according
+to the specification and provides a few higher-level functions.
+
diff --git a/development/libxdg-basedir/libxdg-basedir.SlackBuild b/development/libxdg-basedir/libxdg-basedir.SlackBuild
new file mode 100644
index 0000000000..f425f71d92
--- /dev/null
+++ b/development/libxdg-basedir/libxdg-basedir.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for libxdg-basedir
+
+# Copyright 2013 Heiko Rosemann Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libxdg-basedir
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/libxdg-basedir/libxdg-basedir.info b/development/libxdg-basedir/libxdg-basedir.info
new file mode 100644
index 0000000000..4150efb129
--- /dev/null
+++ b/development/libxdg-basedir/libxdg-basedir.info
@@ -0,0 +1,10 @@
+PRGNAM="libxdg-basedir"
+VERSION="1.2.0"
+HOMEPAGE="https://github.com/devnev/libxdg-basedir"
+DOWNLOAD="https://github.com/devnev/libxdg-basedir/archive/libxdg-basedir-1.2.0.tar.gz"
+MD5SUM="bd3bb815c9e27fda9c721b9c0b29ddda"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heiko Rosemann"
+EMAIL="heiko.rosemann@web.de"
diff --git a/development/libxdg-basedir/slack-desc b/development/libxdg-basedir/slack-desc
new file mode 100644
index 0000000000..0b859196b0
--- /dev/null
+++ b/development/libxdg-basedir/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libxdg-basedir: libxdg-basedir (XDG Base Directory implementation)
+libxdg-basedir:
+libxdg-basedir: The XDG Base Directory Specification defines where should user files
+libxdg-basedir: be looked for by defining one or more base directories relative in
+libxdg-basedir: with they should be located.
+libxdg-basedir:
+libxdg-basedir: This library implements functions to list the directories according
+libxdg-basedir: to the specification and provides a few higher-level functions.
+libxdg-basedir:
+libxdg-basedir: homepage: http://www.ohloh.net/p/libxdg-basedir
+libxdg-basedir: